Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kDirectory Class Reference
kApi/Io

## Description

Collection of directory-related functions.

Inheritance diagram for kDirectory:

## Public Member Functions
kStatus | kDirectory_AppConfig (const kChar *appName, kChar *directory, kSize capacity)
| Gets the directory from which an application should load its configuration/resource files. More...
kStatus | kDirectory_AppData (const kChar *appName, kChar *directory, kSize capacity)
| Gets a directory suitable for an application to write data files. More...
kStatus | kDirectory_Application (kChar *directory, kSize capacity)
| Gets the directory in which the application executable file resides. More...
kStatus | kDirectory_Copy (const kChar *source, const kChar *destination)
| Copies the specified directory, including all of its contents. More...
kStatus | kDirectory_Create (const kChar *directory)
| Creates a directory at the specified location. More...
kStatus | kDirectory_Current (kChar *directory, kSize capacity)
| Gets the current working directory. More...
kStatus | kDirectory_Delete (const kChar *directory)
| Deletes the specified directory, including all of its contents. More...
kStatus | kDirectory_DeleteEntries (const kChar *directory)
| Deletes the directories and files in the specified directory, but not the directory itself. More...
kBool | kDirectory_Exists (const kChar *directory)
| Reports whether the specified directory exists. More...
kStatus | kDirectory_ListDirectories (const kChar *directory, kArrayList directories)
| Creates a list of the sub-directories in the specified directory. More...
kStatus | kDirectory_ListEntries (const kChar *directory, kArrayList entries)
| Creates a list of the file system entries in the specified directory. More...
kStatus | kDirectory_ListFiles (const kChar *directory, kArrayList files)
| List the files in the specified directory. More...
kStatus | kDirectory_Move (const kChar *source, const kChar *destination)
| Moves the specified directory, including all of its contents. More...
kStatus | kDirectory_Plugin (kChar *directory, kSize capacity)
| Gets the directory where plug-ins are located. More...
kStatus | kDirectory_SetCurrent (const kChar *directory)
| Sets the current working directory. More...
kStatus | kDirectory_Temp (kChar *directory, kSize capacity)
| Gets the path of a directory suitable for temporary files. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Protected Member Functions inherited from kObject
kStatus | kObject_FreeMem (kObject object, void *mem)
| Protected method called by derived classes to free memory using the object's allocator. More...
kStatus | kObject_FreeMemRef (kObject object, void *mem)
| Protected method called by derived classes to free memory (and reset the provided memory pointer to kNULL) using the object's allocator. More...
kStatus | kObject_GetMem (kObject object, kSize size, void *mem)
| Protected method called by derived classes to allocate memory using the object's allocator. More...
kStatus | kObject_GetMemZero (kObject object, kSize size, void *mem)
| Protected method called by derived classes to allocate and zero memory using the object's allocator. More...
kStatus | kObject_Init (kObject object, kType type, kAlloc alloc)
| Protected method called by derived classes to initialize the kObject base class. More...
kStatus | kObject_VDisposeItems (kObject object)
| Protected virtual method that destroys any aggregated child objects associated with a collection. More...
kBool | kObject_VEquals (kObject object, kObject other)
| Protected virtual method that compares two objects for equality. More...
kSize | kObject_VHashCode (kObject object)
| Protected virtual method that calculates a hash code representing the object instance. More...
kStatus | kObject_VInitClone (kObject object, kObject source, kAlloc allocator)
| Protected virtual method that clones (makes a deep copy of) the specified source object. More...
kStatus | kObject_VRelease (kObject object)
| Protected virtual method that deallocates any resources owned by the object. More...
kSize | kObject_VSize (kObject object)
| Protected virtual method that calculates the total size (in bytes) of the object instance. More...

The documentation for this class was generated from the following file:

- Io/kDirectory.h